Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class GroovyCategorySupport.CategoryMethodList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethodList

    public static class GroovyCategorySupport.CategoryMethodList
    extends ArrayList

Field Summary
`int` | `level`

Constructor Summary
`GroovyCategorySupport.CategoryMethodList(String name, int level, CategoryMethodList previous)`

Method Summary
`boolean` | `add(CategoryMethod o)`

Methods inherited from class ArrayList
add, add, get, clone, indexOf, clear, contains, isEmpty, lastIndexOf, size, subList, toArray, toArray, addAll, addAll, iterator, remove, remove, set, ensureCapacity, trimToSize, listIterator, listIterator, removeAll, retainAll, equals, hashCode, toString, containsAll, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class AbstractList
add, add, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, addAll, iterator, remove, set, listIterator, listIterator, toString, contains, isEmpty, size, toArray, toArray, addAll, remove, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size

Methods inherited from class AbstractCollection
add, toString, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### level

    public final int level

Constructor Detail

### GroovyCategorySupport.CategoryMethodList

    public GroovyCategorySupport.CategoryMethodList(String name, int level, CategoryMethodList previous)

Method Detail

### add

    public boolean add(CategoryMethod o)

Copyright © 2003-2010 The Codehaus. All rights reserved.